Debian Bug report logs - #467815
libmp4-info-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libmp4-info-perl; Maintainer for libmp4-info-perl is Michael Ablassmeier <abi@debian.org>; Source for libmp4-info-perl is src:libmp4-info-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:20:26 UTC

Severity: important

Tags: patch

Found in version libmp4-info-perl/1.12-2

Fixed in version libmp4-info-perl/1.12-2.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Michael Ablassmeier <abi@debian.org>:
Bug#467815; Package libmp4-info-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Michael Ablassmeier <abi@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libmp4-info-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:21 +0200
Package: libmp4-info-perl
Version: 1.12-2
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Michael Ablassmeier <abi@debian.org>:
Bug#467815; Package libmp4-info-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Ablassmeier <abi@debian.org>. Full text and rfc822 format available.

Message #10 received at 467815@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467815@bugs.debian.org
Subject: libmp4-info-perl: diff for NMU version 1.12-2.1
Date: Sat, 5 Apr 2008 22:25:36 +0100
[Message part 1 (text/plain, inline)]
tags 467815 + patch
thanks

Hi,

Attached is the diff for my libmp4-info-perl 1.12-2.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[libmp4-info-perl-1.12-2.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 21:28:32 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467815-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467815-close@bugs.debian.org
Subject: Bug#467815: fixed in libmp4-info-perl 1.12-2.1
Date: Sat, 05 Apr 2008 21:32:22 +0000
Source: libmp4-info-perl
Source-Version: 1.12-2.1

We believe that the bug you reported is fixed in the latest version of
libmp4-info-perl, which is due to be installed in the Debian FTP archive:

libmp4-info-perl_1.12-2.1.diff.gz
  to pool/main/libm/libmp4-info-perl/libmp4-info-perl_1.12-2.1.diff.gz
libmp4-info-perl_1.12-2.1.dsc
  to pool/main/libm/libmp4-info-perl/libmp4-info-perl_1.12-2.1.dsc
libmp4-info-perl_1.12-2.1_all.deb
  to pool/main/libm/libmp4-info-perl/libmp4-info-perl_1.12-2.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467815@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated libmp4-info-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 21:09:02 +0100
Source: libmp4-info-perl
Binary: libmp4-info-perl
Architecture: source all
Version: 1.12-2.1
Distribution: unstable
Urgency: low
Maintainer: Michael Ablassmeier <abi@debian.org>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 libmp4-info-perl - Fetch info from MPEG-4 files
Closes: 467815
Changes: 
 libmp4-info-perl (1.12-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #467815
Files: 
 94984395af13a41a306be06245066e07 659 perl optional libmp4-info-perl_1.12-2.1.dsc
 70a3e692ad793a1e33f851ae74b9a301 1753 perl optional libmp4-info-perl_1.12-2.1.diff.gz
 95306f9c27464130965200ba01b7c947 16204 perl optional libmp4-info-perl_1.12-2.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9+XYNIW6CNDsByMRAhtHAJ9+bVa0Ke9YfLry1mb40yYsS8QLAwCgtm5i
OKkd2qIQxrMgnT1fMe8dFL4=
=lIGl
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:34:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:41:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.